<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__offl__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_offl_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__offl__context__t_1a3c51b81c7a63872b85d1abafc9f3e35d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_offl_context_t::touchStartTime1</definition>
        <argsstring />
        <name>touchStartTime1</name>
        <briefdescription>
<para>Touchdown time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="133" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__offl__context__t_1aa4bcab6ceb424cae93b48af4ba2ef1c0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_offl_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="134" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__offl__context__t_1ab75c1891770f28ddf2e351352ad44ec9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_offl_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="135" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Flick context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="196">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="195">
        <label>cy_stc_capsense_offl_context_t</label>
        <link refid="structcy__stc__capsense__offl__context__t" />
        <childnode refid="196" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="136" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="132" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__offl__context__t_1ab75c1891770f28ddf2e351352ad44ec9" virt="non-virtual"><scope>cy_stc_capsense_offl_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__offl__context__t_1aa4bcab6ceb424cae93b48af4ba2ef1c0" virt="non-virtual"><scope>cy_stc_capsense_offl_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__offl__context__t_1a3c51b81c7a63872b85d1abafc9f3e35d" virt="non-virtual"><scope>cy_stc_capsense_offl_context_t</scope><name>touchStartTime1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>